# Certificate monitoring

# Number of seconds till certificate expires
# Parameters: $1 - path to cert file
UserParameter=cert.x509.expire[*],openssl x509 -in $1 -enddate|grep notAfter|awk -F= '{print $$2}'|while read l; do t=`date -j -f "%b %e %T %Y %Z" "$l" +%s`; n=`date +%s`; echo `expr $t - $n`; done

